# NonzaHandler class

A Handler that specialises in matching Nonzas (and stanzas).

Inheritance
  - Object
  - Handler
  - NonzaHandler

## Constructors

NonzaHandler ({required Future <bool> callback(XMLNode), String? nonzaTag, String? nonzaXmlns})

## Properties

callback → Future <bool> Function(XMLNode)
  The function to call when a nonza matches the description.
  final
hashCode → int
  The hash code for this object.
  no setterinherited
nonzaTag → String?
  The expected tag of a matching nonza.
  final
nonzaXmlns → String?
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

matches (XMLNode node) → bool
  Returns true if the node matches the description provided by this Handler.
  override
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited